Bug 195412 - (obconf) Review Request: obconf
Review Request: obconf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: cq92j9y+rlkr0w
Fedora Package Reviews List
:
Depends On: openbox
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-14 23:09 EDT by Peter Gordon
Modified: 2012-04-08 13:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: obconf-2.0.3-9.20100212gitb04658.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-23 00:19:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2006-06-14 23:09:03 EDT
[ Resubmitting review request due to Bugzilla's earlier troubles. ]

Spec URL: http://www.thecodergeek.com/downloads/fedora/obconf.spec
SRPM URL: http://www.thecodergeek.com/downloads/fedora/obconf-1.6-1.src.rpm

Description: ObConf is a graphical configuration editor for the Openbox window manager.
Comment 1 Parag AN(पराग) 2006-06-16 02:30:05 EDT
Review for this package:-
MUST Items:
     - MUST: rpmlint shows no error 
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package obconf, in the format
obconf.spec
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is licensed with an open-source compatible license GPL.
      - MUST: The License field in the package obconf.spec file matches the
actual license in COPYING file in tarball.
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task.
      - MUST: The package successfully compiled and build into binary rpms on i386.
      - MUST: This package owns all directories that it creates. 
      - MUST: This package did not contain any duplicate files in the %files
listing.
      - MUST: This package  have a %clean section, which contains rm -rf
%{buildroot}.
      - MUST: This package used macros.
      - MUST: Document files are included.
      - MUST: This Package did not contained any .la libtool archives
      - MUST: This Package include a obconf.desktop file, and that file is 
installed with desktop-file-install in the %install section with following warning
obconf.desktop: key "Categories" string list not semicolon-terminated, fixing
      - MUST: No duplicate files in installation
Comment 2 Peter Gordon 2006-06-16 10:34:20 EDT
Adding bug dependency on Openbox's review request, as this uses its -devel
subpackage as a build requirement.
Comment 3 Parag AN(पराग) 2006-06-19 06:57:43 EDT
Above is Not an official review as I'm not yet sponsored
Comment 4 cq92j9y+rlkr0w 2006-07-13 00:20:17 EDT
Review:

+ rpmlint shows no error.
+ package meets the naming guidelines.
+ spec-file is properly named.
+ package meets the packaging guidelines.
+ package license is open-source compatible (GPL).
+ license field matches the actual license.
+ license file included in %doc.
+ spec file is written in english.
+ spec file is legible.
+ source files match upstream:
    aaf62498b11d52dfce7a0b6060867a19  obconf-1.6.tar.gz
+ package successfully compiled, built and tested on i386 (rawhide).
+ all build dependencies are listed in BuildRequires.
+ package doesn't need to use %find_lang (no locales present).
+ package doesn't contain shared libraries.
+ package isn't relocatable.
+ package owns all directories that it creates.
+ no duplicate files in %files.
+ file permissions are properly set.
+ package has a %clean section.
+ package uses macros consistently.
+ package contains code, not content.
+ no -doc subpackage needed.
+ %docs don't affect application runtime.
+ package doesn't contain headers, static libraries or pkgconfig files (no devel
package).
? GUI application; desktop file is installed with a small warning (as pointed
out by Parag AN): I don't think this issue is worth patching the file (specially
since it is automatically fixed) but I do think a bug should be filed upstream.
+ package doesn't own directories owned by other packages. 
Comment 5 cq92j9y+rlkr0w 2006-07-13 19:18:25 EDT
Peter:

Don't forget to report a bug upstream for the .desktop semicolon issue.


APPROVED.
Comment 6 Peter Gordon 2006-07-13 22:24:45 EDT
Built for Devel. Once it's been branched to FC-4 and FC-5, I'll build for those
and close this as NEXTRELEASE.

Jorge: I have contacted the author about it. Thanks for your review. :)
Comment 7 Peter Gordon 2006-07-23 00:19:34 EDT
Built successfully for FC-4 and FC-5 branches too. Thanks for your time. 
Comment 8 Christian Iseli 2006-12-31 06:30:06 EST
Please do not remove the FE-ACCEPT blocker.  Thanks.
Comment 9 Peter Gordon 2007-06-02 17:21:06 EDT
Package Change Request
======================
Package Name: obconf
Updated Fedora Owners: extras-orphan@fedoraproject.org

I'm orphaning openbox, obconf, and obmenu as I no longer use them and feel that
my time is better spent dedicated to my other packages. Thanks.
Comment 10 Tom "spot" Callaway 2007-06-04 17:53:48 EDT
Orphaned.
Comment 11 Miroslav Lichvar 2007-06-13 04:07:29 EDT
Package Change Request
======================
Package Name: obconf
Updated Fedora Owners: mlichvar@redhat.com
Comment 12 Miroslav Lichvar 2012-03-22 12:11:09 EDT
Package Change Request
======================
Package Name: obconf
New Branches: el6
Owners: mlichvar splinux
Comment 13 Jon Ciesla 2012-03-22 12:43:16 EDT
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-03-22 18:27:58 EDT
obconf-2.0.3-9.20100212gitb04658.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/obconf-2.0.3-9.20100212gitb04658.el6
Comment 15 Fedora Update System 2012-04-08 13:03:49 EDT
obconf-2.0.3-9.20100212gitb04658.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.